Subject: [TR] List grill badges (redux)

From: <[email-masked]>
Date: Mon, 29 Oct 2012 12:02:58 -0700

Some of you will recall that in 2006, I had some grill badges produced with the Triumphs globe and lettering surrounding indicating the Triumphs Email List.  I have had a subscriber ask about getting one but was forced to say that they were no longer available.

I asked the manufacturer if he still has the tooling and he does.  So if we can get at least 25 people who would like to order one or more, I can have them produced again at a cost of $35.00 each.

Some people had issues with the studs on the back becoming detached.  I asked the manufacturer if we could come up with a better method of attaching them and he said that by drilling the area out, it will provide with greater surface area so that more solder can be applied, thus reducing the possibility that they will come off.

So, anybody interested in receiving one or more, please contact me by personal email and I will add your name to the list.  If you want to see what they will look like, go to http://spitlist.info/centercaps.html and scroll all the way to the bottom.  The gray area will be chrome on the grill badges.

Cheers,
Joe Curry

** [email-masked] **

Archive: http://www.team.net/archive